#ifndef LOAD_H
#define LOAD_H
#include "ubl-utils.h"
#include "philos_utils.h"
#include "my_device.h"

void load_template_load_cfg(config_all* _all_config, char* cmd);
void load_pars_keys(config_u_g_p* _config, char* str_key, int index);
void load_pars_keys_u_g(config_u_g_p* _config, char* str_key, int index);
void load_pars_keys_p(config_u_g_p* _config, char* str_key, int index);
void load_pars_values(config_u_g_p* _config, config_all* _all_config, char* str_key, char* str_value, int index);
void load_free_vector(config_all* _all_config,vector* vec_config);
void load_pars_values_status(disk_status* _config, char* key, char* value);
void free_remove_vector(config_all* _all_config, vector* vec_remove);

#endif